﻿define("aiassistant/editors/AiDialog", [
    "dijit/Dialog",
    "dojo/_base/declare",
    "dijit/_TemplatedMixin",
    "dijit/_CssStateMixin",
    "dijit/form/_FormMixin",
    "dijit/_DialogMixin",
], function (Dialog, declare, TemplatedMixin, CssStateMixin, FormMixin, DialogMixin) {
    // Extend the Dialog widget
    return declare([Dialog, TemplatedMixin, FormMixin, DialogMixin, CssStateMixin], {
        pluginpath: "", //custom prop
        pluginversion: "", //custom prop
        correlationid: "", //custom prop
        initialSelection: "", //custom prop
        propname: "", //custom prop
        lang: "", //custom prop
        contentid: "", //custom prop
        selection: null, //custom prop
        defaultText: "", //send in command and execute
        _useImage: function () {
            //console.log("Dialog clicked", this.selection);
            if (this.selection) {
                var data = { "action": "use", "path": this.selection.path, "name": this.selection.name };
                window.postMessage(data, location.origin);
            }
        },
        markButton: function (imgdata) {
            this.selection = imgdata;
            //console.log("Dialog selected", this.selection);
            this.actionButtonNode.disabled = false;
            this.actionButtonNode.parentNode.classList.remove("dijitButtonDisabled");
            //this.actionButtonNode.innerHTML = "Use selection";
        },
        unmarkButton: function () {
            this.selection = null;
            this.actionButtonNode.disabled = true;
            this.actionButtonNode.parentNode.classList.add("dijitButtonDisabled");
        },
        _size: function () {
            this.inherited(arguments);
            this.containerNode.style.height = "528px";
            this.actionButtonNode.disabled = true;
        }

    });
});